/lprVehicleLists/{id}/vehicles

Adds a new vehicle record to the list. This method enforces strictness about the uniqueness of vehicle license plate, so the same plate/vehicle cannot be added more than once, and would result in error if attempted.

Path Params
string
required

Id

Body Params

New record to be added.

date | null

Date from which this record is valid

date | null

Date upto which this record is valid

schedule
object

It signifies a week long alert schedule. This schedule is effective according to actor's (user/camera/account) timezone. It allows setting different times for different days.

string
enum
required
Allowed:
string | null
enum
deprecated

Indicates whether vehicle is

  • hotlist: Vehicle flagged for tracking

  • exempted: Vehicle is exempt from watchlist rule and other rules. This is useful, for instance, when an organization wishes to avoid alerts on known vehicles, like employee vehicles.

  • none: Empty value provided when no special consideration for the vehicle

Allowed:
userData
object | null
deprecated

Object containing all user information associated with the specific event. For example, for a plate read, this would contain user supplied attributes for the given plate like apartment number. the following are the guidelines for supplying User Data:

  • It is recommended to use camelCase for field names, but this is not required
  • Maximum of 5 unique keys.
  • Each key or value should have only 256 characters max.
  • The keys 'type' and 'creatorId' are reserved keys.
userTags
array of strings | null

Tags containing all user information associated with the specific vehicle entry.

  • Maximum of 10 Tags per vehicle.
  • Each Tag should have only 256 characters max.
userTags
string | null
enum

Enumerations of standard colors for vehicles.

string | null

Name of the vehicle model as defined by the manufacturer. Meant to be machine parsable, so should be in lowerCamelCase without spaces.

string | null
enum

Enumerations of standard makes/brands for vehicles.

string
required

License plate number of the vehicle in uppercase

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json